<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'restaurant',

    /*
     * Package.
     */
    'package'   => 'delivery_location',

    /*
     * Modules.
     */
    'modules'   => ['deliverylocation', 
'restaurant_delivery_location'],

    'deliverylocation'       => [
        'model' => [
            'model'                 => \Restaurant\DeliveryLocation\Models\Deliverylocation::class,
            'table'                 => 'deliverylocations',
            'presenter'             => \Restaurant\DeliveryLocation\Repositories\Presenter\DeliverylocationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'delivery_location/deliverylocation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Restaurant',
            'package'   => 'DeliveryLocation',
            'module'    => 'Deliverylocation',
        ],

    ],

    'restaurant_delivery_location'       => [
        'model' => [
            'model'                 => \Restaurant\DeliveryLocation\Models\RestaurantDeliveryLocation::class,
            'table'                 => 'restaurant_delivery_locations',
            'presenter'             => \Restaurant\DeliveryLocation\Repositories\Presenter\RestaurantDeliveryLocationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'restaurant_id',  'delivery_location_id',  'created_at',  'update_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'delivery_location/restaurant_delivery_location',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Restaurant',
            'package'   => 'DeliveryLocation',
            'module'    => 'RestaurantDeliveryLocation',
        ],

    ],
];
