Lavalite package that provides delivery_location management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `restaurant/delivery_location`.

    "restaurant/delivery_location": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Restaurant\DeliveryLocation\Providers\DeliveryLocationServiceProvider::class,

And also add it to alias

    'DeliveryLocation'  => Restaurant\DeliveryLocation\Facades\DeliveryLocation::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Restaurant\\DeliveryLocationTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Restaurant\DeliveryLocation\Providers\DeliveryLocationServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Restaurant\DeliveryLocation\Providers\DeliveryLocationServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Restaurant\DeliveryLocation\Providers\DeliveryLocationServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/delivery_location/{modulename}

**User**

    http://path-to-route-folder/user/delivery_location/{modulename}

**Public**

    http://path-to-route-folder/delivery_locations


### API endpoints

**List**

    http://path-to-route-folder/api/user/delivery_location/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/delivery_location/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/delivery_location/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/delivery_location/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/delivery_location/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/delivery_location/{modulename}/{slug}
    METHOD: GET