<?php

namespace Restaurant\DeliveryLocation;

use User;

class DeliveryLocation
{
    /**
     * $deliverylocation object.
     */
    protected $deliverylocation;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\DeliveryLocation\Interfaces\DeliverylocationRepositoryInterface $deliverylocation)
    {
        $this->deliverylocation = $deliverylocation;
    }

    /**
     * Returns count of delivery_location.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.deliverylocation.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->deliverylocation->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\DeliverylocationUserCriteria());
        }

        $deliverylocation = $this->deliverylocation->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('delivery_location::' . $view, compact('deliverylocation'))->render();
    }
}
