<?php

namespace Restaurant\DeliveryLocation\Forms;

class RestaurantDeliveryLocation
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'restaurant_id' => [
                    "type" => 'numeric',
                    "label" => trans('delivery_location::restaurant_delivery_location.label.restaurant_id'),
                    "placeholder" => trans('delivery_location::restaurant_delivery_location.placeholder.restaurant_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'delivery_location_id' => [
                    "type" => 'numeric',
                    "label" => trans('delivery_location::restaurant_delivery_location.label.delivery_location_id'),
                    "placeholder" => trans('delivery_location::restaurant_delivery_location.placeholder.delivery_location_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'update_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('delivery_location::restaurant_delivery_location.label.update_at'),
                    "placeholder" => trans('delivery_location::restaurant_delivery_location.placeholder.update_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
