<?php

namespace Restaurant\DeliveryLocation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DeliverylocationTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\DeliveryLocation\Models\Deliverylocation $deliverylocation)
    {
        return [
            'id'                => $deliverylocation->getRouteKey(),
            'key'               => [
                'public'    => $deliverylocation->getPublicKey(),
                'route'     => $deliverylocation->getRouteKey(),
            ], 
            'name'              => $deliverylocation->name,
            'description'       => $deliverylocation->description,
            'deleted_at'        => $deliverylocation->deleted_at,
            'url'               => [
                'public'    => trans_url('delivery_location/'.$deliverylocation->getPublicKey()),
                'user'      => guard_url('delivery_location/deliverylocation/'.$deliverylocation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$deliverylocation->status),
            'created_at'        => format_date($deliverylocation->created_at),
            'updated_at'        => format_date($deliverylocation->updated_at),
        ];
    }
}