<?php

namespace Restaurant\DeliveryLocation\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RestaurantDeliveryLocationTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\DeliveryLocation\Models\RestaurantDeliveryLocation $restaurant_delivery_location)
    {
        return [
            'id'                => $restaurant_delivery_location->getRouteKey(),
            'key'               => [
                'public'    => $restaurant_delivery_location->getPublicKey(),
                'route'     => $restaurant_delivery_location->getRouteKey(),
            ], 
            'restaurant_id'     => $restaurant_delivery_location->restaurant_id,
            'delivery_location_id' => $restaurant_delivery_location->delivery_location_id,
            'update_at'         => $restaurant_delivery_location->update_at,
            'deleted_at'        => $restaurant_delivery_location->deleted_at,
            'url'               => [
                'public'    => trans_url('delivery_location/'.$restaurant_delivery_location->getPublicKey()),
                'user'      => guard_url('delivery_location/restaurant_delivery_location/'.$restaurant_delivery_location->getRouteKey()),
            ], 
            'status'            => trans('app.'.$restaurant_delivery_location->status),
            'created_at'        => format_date($restaurant_delivery_location->created_at),
            'updated_at'        => format_date($restaurant_delivery_location->updated_at),
        ];
    }
}